org.codehaus.groovy.util

## Class ReferenceBundle

- java.lang.Object
- - org.codehaus.groovy.util.ReferenceBundle

    public class ReferenceBundle
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ReferenceBundle(ReferenceManager manager, ReferenceType type)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ReferenceBundle` `getHardBundle()`
`ReferenceManager` `getManager()`
`static ReferenceBundle` `getPhantomBundle()`
`static ReferenceBundle` `getSoftBundle()`
`ReferenceType` `getType()`
`static ReferenceBundle` `getWeakBundle()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceBundle

    public ReferenceBundle(ReferenceManager manager,
                           ReferenceType type)

### Method Detail

#### getType

    public ReferenceType getType()

#### getManager

    public ReferenceManager getManager()

#### getSoftBundle

    public static ReferenceBundle getSoftBundle()

#### getWeakBundle

    public static ReferenceBundle getWeakBundle()

#### getHardBundle

    public static ReferenceBundle getHardBundle()

#### getPhantomBundle

    public static ReferenceBundle getPhantomBundle()